using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Misc;

namespace Server.Mobiles
{
	[CorpseName( "a minotaur corpse" )]
	public class MinotaurLord : BaseCreature
	{
		[Constructable]
		public MinotaurLord() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a minotaur knight";
			Body = 244;
			BaseSoundID = 0x5DF;
			AnimationMod = 1;

			SetStr( 386, 435 );
			SetDex( 96, 115 );
			SetInt( 31, 55 );

			SetHits( 302, 331 );
			SetMana( 0 );

			SetDamage( 9, 25 );

			SetSkill( SkillName.MagicResist, 70.3, 105.0 );
			SetSkill( SkillName.Tactics, 95.1, 110.0 );
			SetSkill( SkillName.HandToHand, 95.1, 110.0 );

			Fame = 6500;
			Karma = -6500;

			VirtualArmor = 52;

			PackItem( new DoubleAxe() );
		}
		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average, 2 );
		}

		public MinotaurLord( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
